// 秒寻科技
// 变频模块
// zt
// 2023-03-05

#ifndef __DMDL_DDC_H__
#define __DMDL_DDC_H__

#include "../../sysdefine/sysdef.h"

// 供外部使用的接口
void dmdl_ddc(int16 *pwData, uint16 wLen, uint32 dwFrequency, uint32 dwIndex, flt32 *pfOutSignalReal, flt32 *pfOutSignalImag);
void dmdl_ddc_main(int16 *pwData, uint32 dwFrequency, uint32 *pdwDdcIndexRemainder, flt32 *pfDdcSignalReal, flt32 *pfDdcSignalImag);
void dmdl_ddc_organize_data(uint32 dwFrequency, flt32 fDdcFactor, uint32 *pdwFrequencyFactor, flt32 *pfFftRealData, flt32 *pfFftImagData, flt32 *pfSignalRealData, flt32 *pfSignalImagData);
#endif